<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="GaugeGraphBlack.aspx.vb" Inherits="InovarPAA.GaugeGraphBlack" %>

<!DOCTYPE html>

<html>
<head>
    <style>
        #print {
            float: right;
            font-family: Verdana;
            color: #0B62A4;
            font-size: 10px;
            right: 10px;
            bottom: 0;
            position: fixed;
            cursor: pointer;
        }
    </style>

    <!--Load the AJAX API-->
    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <script type="text/javascript">
        google.load("visualization", "1", { packages: ["gauge"] });
        google.setOnLoadCallback(drawChart);
        
        function drawChart() {

            var data = google.visualization.arrayToDataTable(<%= TheEmptyData%>);

            var options = {
                width: '100%', height: '100%',
                redFrom: <%= MixRedLine%>, redTo: 100,
                yellowFrom: 0, yellowTo: 0,
                minorTicks: 5,
                animation:{
                    duration: 5000,
                    easing: 'out'},
            };

            var chart = new google.visualization.Gauge(document.getElementById('chart_div'));
            chart.draw(data, options);

            //needed to make the annimation run
            var filledData = google.visualization.arrayToDataTable(<%= TheData%>);
            chart.draw(filledData, options);
        }
    </script>
</head>

<body style="background-color:#192B37">
    <div id="chart_div" style="<%=style%>"></div>
</body>
</html>
